<template>
    <section class="container container--normal">
        <div class="not-found-page">
            <div class="block-robot">
                <div class="robot"></div>
            </div>
            <div class="container-404">
                <div class="error-404">Ошибка 404</div>
                <div class="something">Что-то пошло не так ...</div>
                <div class="robot-center">
                    <div class="mobile-robot"></div>
                </div>
                <p>Такой страницы не существует или она временно недоступна. Пожалуйста, перезагрузите страницу или вернитесь на главную.</p>
                <p>Если Вы считаете, что здесь точно должно что-то быть, свяжитесь со Службой поддержки. Мы ответим в самые короткие сроки.</p>
                <div class="link-info"><a @click="$router.push('/')">Вернуться на Главную</a></div>
                <div class="link-info"><a @click="toDoModal">Написать в Службу поддержки</a></div>
            </div>
        </div>
    </section>
</template>

<script>
export default {
    name: 'not-found-page',
    methods: {
        toDoModal() {
            this.$toast.warning('Когда нибудь тут будет час со службой поддержки', 'Внимание');
        }
    }
};
</script>

<style scoped lang="sass">

</style>
